export default {

  CREATE:               'SERVER:AMPLIFY_PRODUCT_CREATE',
  CREATE_SUCCESS:       'AMPLIFY_PRODUCT_CREATE_SUCCESS',
  CREATE_FAILURE:       'AMPLIFY_PRODUCT_CREATE_FAILURE',
  
  GET:                  'SERVER:AMPLIFY_PRODUCT_GET',
  GET_SUCCESS:          'AMPLIFY_PRODUCT_GET_SUCCESS',
  GET_FAILURE:          'AMPLIFY_PRODUCT_GET_FAILURE',

  REMOVE:               'SERVER:AMPLIFY_PRODUCT_REMOVE',
  REMOVE_SUCCESS:       'AMPLIFY_PRODUCT_REMOVE_SUCCESS',
  REMOVE_FAILURE:       'AMPLIFY_PRODUCT_REMOVE_FAILURE',

  GET_ID:               'SERVER:AMPLIFY_PRODUCT_GET_ID',
  GET_ID_SUCCESS:       'AMPLIFY_PRODUCT_GET_ID_SUCCESS',
  GET_ID_FAILURE:       'AMPLIFY_PRODUCT_GET_ID_FAILURE',

  UPDATE:               'SERVER:AMPLIFY_PRODUCT_UPDATE',
  UPDATE_SUCCESS:       'AMPLIFY_PRODUCT_UPDATE_SUCCESS',
  UPDATE_FAILURE:       'AMPLIFY_PRODUCT_UPDATE_FAILURE',

  SEARCH:               'SERVER:AMPLIFY_PRODUCT_SEARCH',
  SEARCH_SUCCESS:       'AMPLIFY_PRODUCT_SEARCH_SUCCESS',
  SEARCH_FAILURE:       'AMPLIFY_PRODUCT_SEARCH_FAILURE', 

  SEARCH_SELECT:        'AMPLIFY_PRODUCT_SEARCH_SELECT',
  SEARCH_SELECT_RESET:  'AMPLIFY_PRODUCT_SEARCH_SELECT_RESET',
  VALIDATION:           'AMPLIFY_PRODUCT_VALIDATION',

  SET_FILTER:           'AMPLIFY_PRODUCT_SET_FILTER',
  RESET_FILTER:         'AMPLIFY_PRODUCT_RESET_FILTER',
  SET_SORT:             'AMPLIFY_PRODUCT_SET_SORT',

  ATTACH:               'AMPLIFY_PRODUCT_ATTACH',
  REMOVE_FILE:          'AMPLIFY_PRODUCT_REMOVE_FILE',

  UPLOAD:               'SERVER:AMPLIFY_PRODUCT_UPLOAD',
  UPLOAD_SUCCESS:       'AMPLIFY_PRODUCT_UPLOAD_SUCCESS',
  UPLOAD_FAILURE:       'AMPLIFY_PRODUCT_UPLOAD_FAILURE', 

  EDIT_FILE:            'SERVER:EDIT_FILE',
  EDIT_FILE_SUCCESS:    'EDIT_FILE_SUCCESS',
  EDIT_FILE_FAILURE:    'EDIT_FILE_FAILURE', 

  DOWNLOAD_FILE:         'SERVER:DOWNLOAD_FILE',
  DOWNLOAD_FILE_SUCCESS: 'DOWNLOAD_FILE_SUCCESS',
  DOWNLOAD_FILE_FAILURE: 'DOWNLOAD_FILE_FAILURE',   
}
